Subject: bug#70541: track-changes-mode logs warnings (with input method, in Eglot buffer)

From: João Távora <[email-masked]>
Date: Mon, 29 Apr 2024 09:57:45 +0100

On Mon, Apr 29, 2024 at 7:09 AM Eli Zaretskii <[email-masked]> wrote:

>
> > It also works correctly with the new code.  The difference is that we
> > report it (notice the `Subject:` says "warning").
> > [ Note also that `track-changes.el` does not warn about it when running
> >   in a released version of Emacs (see `track-changes-record-errors`),
> >   because I assume it's less useful.  ]
>
> So this is actually a non-issue?
>

FTR I just managed to crash clangd after following the recipe. Eglot
detects the crash and reconnects automatically.  In my book, if Eglot's
misreporting causes a server to crash, it is an issue in Eglot (even
if it's also a server-side issue that a client's misreporting causes a
crash).

João